org.apache.xmlbeans.impl.xb.xmlconfig.impl

## Class NsconfigImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xmlconfig.impl.NsconfigImpl

All Implemented Interfaces:
  Serializable, TypeStoreUser, Nsconfig, SimpleValue, XmlObject, XmlTokenSource

    public class NsconfigImpl
    extends XmlComplexContentImpl
    implements Nsconfig

An XML nsconfig(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a complex type.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

### Fields inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.Nsconfig

`Factory, type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Constructor Summary

Constructors
Constructor and Description
`NsconfigImpl(SchemaType sType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPackage()` Gets the "package" element
`String` `getPrefix()` Gets the "prefix" element
`String` `getSuffix()` Gets the "suffix" element
`Object` `getUri()` Gets the "uri" attribute
`List` `getUriprefix()` Gets the "uriprefix" attribute
`boolean` `isSetPackage()` True if has "package" element
`boolean` `isSetPrefix()` True if has "prefix" element
`boolean` `isSetSuffix()` True if has "suffix" element
`boolean` `isSetUri()` True if has "uri" attribute
`boolean` `isSetUriprefix()` True if has "uriprefix" attribute
`void` `setPackage(String xpackage)` Sets the "package" element
`void` `setPrefix(String prefix)` Sets the "prefix" element
`void` `setSuffix(String suffix)` Sets the "suffix" element
`void` `setUri(Object uri)` Sets the "uri" attribute
`void` `setUriprefix(List uriprefix)` Sets the "uriprefix" attribute
`void` `unsetPackage()` Unsets the "package" element
`void` `unsetPrefix()` Unsets the "prefix" element
`void` `unsetSuffix()` Unsets the "suffix" element
`void` `unsetUri()` Unsets the "uri" attribute
`void` `unsetUriprefix()` Unsets the "uriprefix" attribute
`XmlString` `xgetPackage()` Gets (as xml) the "package" element
`XmlString` `xgetPrefix()` Gets (as xml) the "prefix" element
`XmlString` `xgetSuffix()` Gets (as xml) the "suffix" element
`NamespaceList` `xgetUri()` Gets (as xml) the "uri" attribute
`NamespacePrefixList` `xgetUriprefix()` Gets (as xml) the "uriprefix" attribute
`void` `xsetPackage(XmlString xpackage)` Sets (as xml) the "package" element
`void` `xsetPrefix(XmlString prefix)` Sets (as xml) the "prefix" element
`void` `xsetSuffix(XmlString suffix)` Sets (as xml) the "suffix" element
`void` `xsetUri(NamespaceList uri)` Sets (as xml) the "uri" attribute
`void` `xsetUriprefix(NamespacePrefixList uriprefix)` Sets (as xml) the "uriprefix" attribute

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Constructor Detail

#### NsconfigImpl

    public NsconfigImpl(SchemaType sType)

### Method Detail

#### getPackage

    public String getPackage()

Gets the "package" element

Specified by:
  `getPackage` in interface `Nsconfig`

#### xgetPackage

    public XmlString xgetPackage()

Gets (as xml) the "package" element

Specified by:
  `xgetPackage` in interface `Nsconfig`

#### isSetPackage

    public boolean isSetPackage()

True if has "package" element

Specified by:
  `isSetPackage` in interface `Nsconfig`

#### setPackage

    public void setPackage(String xpackage)

Sets the "package" element

Specified by:
  `setPackage` in interface `Nsconfig`

#### xsetPackage

    public void xsetPackage(XmlString xpackage)

Sets (as xml) the "package" element

Specified by:
  `xsetPackage` in interface `Nsconfig`

#### unsetPackage

    public void unsetPackage()

Unsets the "package" element

Specified by:
  `unsetPackage` in interface `Nsconfig`

#### getPrefix

    public String getPrefix()

Gets the "prefix" element

Specified by:
  `getPrefix` in interface `Nsconfig`

#### xgetPrefix

    public XmlString xgetPrefix()

Gets (as xml) the "prefix" element

Specified by:
  `xgetPrefix` in interface `Nsconfig`

#### isSetPrefix

    public boolean isSetPrefix()

True if has "prefix" element

Specified by:
  `isSetPrefix` in interface `Nsconfig`

#### setPrefix

    public void setPrefix(String prefix)

Sets the "prefix" element

Specified by:
  `setPrefix` in interface `Nsconfig`

#### xsetPrefix

    public void xsetPrefix(XmlString prefix)

Sets (as xml) the "prefix" element

Specified by:
  `xsetPrefix` in interface `Nsconfig`

#### unsetPrefix

    public void unsetPrefix()

Unsets the "prefix" element

Specified by:
  `unsetPrefix` in interface `Nsconfig`

#### getSuffix

    public String getSuffix()

Gets the "suffix" element

Specified by:
  `getSuffix` in interface `Nsconfig`

#### xgetSuffix

    public XmlString xgetSuffix()

Gets (as xml) the "suffix" element

Specified by:
  `xgetSuffix` in interface `Nsconfig`

#### isSetSuffix

    public boolean isSetSuffix()

True if has "suffix" element

Specified by:
  `isSetSuffix` in interface `Nsconfig`

#### setSuffix

    public void setSuffix(String suffix)

Sets the "suffix" element

Specified by:
  `setSuffix` in interface `Nsconfig`

#### xsetSuffix

    public void xsetSuffix(XmlString suffix)

Sets (as xml) the "suffix" element

Specified by:
  `xsetSuffix` in interface `Nsconfig`

#### unsetSuffix

    public void unsetSuffix()

Unsets the "suffix" element

Specified by:
  `unsetSuffix` in interface `Nsconfig`

#### getUri

    public Object getUri()

Gets the "uri" attribute

Specified by:
  `getUri` in interface `Nsconfig`

#### xgetUri

    public NamespaceList xgetUri()

Gets (as xml) the "uri" attribute

Specified by:
  `xgetUri` in interface `Nsconfig`

#### isSetUri

    public boolean isSetUri()

True if has "uri" attribute

Specified by:
  `isSetUri` in interface `Nsconfig`

#### setUri

    public void setUri(Object uri)

Sets the "uri" attribute

Specified by:
  `setUri` in interface `Nsconfig`

#### xsetUri

    public void xsetUri(NamespaceList uri)

Sets (as xml) the "uri" attribute

Specified by:
  `xsetUri` in interface `Nsconfig`

#### unsetUri

    public void unsetUri()

Unsets the "uri" attribute

Specified by:
  `unsetUri` in interface `Nsconfig`

#### getUriprefix

    public List getUriprefix()

Gets the "uriprefix" attribute

Specified by:
  `getUriprefix` in interface `Nsconfig`

#### xgetUriprefix

    public NamespacePrefixList xgetUriprefix()

Gets (as xml) the "uriprefix" attribute

Specified by:
  `xgetUriprefix` in interface `Nsconfig`

#### isSetUriprefix

    public boolean isSetUriprefix()

True if has "uriprefix" attribute

Specified by:
  `isSetUriprefix` in interface `Nsconfig`

#### setUriprefix

    public void setUriprefix(List uriprefix)

Sets the "uriprefix" attribute

Specified by:
  `setUriprefix` in interface `Nsconfig`

#### xsetUriprefix

    public void xsetUriprefix(NamespacePrefixList uriprefix)

Sets (as xml) the "uriprefix" attribute

Specified by:
  `xsetUriprefix` in interface `Nsconfig`

#### unsetUriprefix

    public void unsetUriprefix()

Unsets the "uriprefix" attribute

Specified by:
  `unsetUriprefix` in interface `Nsconfig`